#pragma once

#include <sasktran2/internal_common.h>

namespace sasktran2::math::unitsphere::lebedev {
    const static double g_lebedev_xyzw_50[4 * 50] = {1.0,
                                                     0.0,
                                                     6.123233995736766e-17,
                                                     0.012698412698413,
                                                     -1.0,
                                                     1.2246467991473532e-16,
                                                     6.123233995736766e-17,
                                                     0.012698412698413,
                                                     6.123233995736766e-17,
                                                     1.0,
                                                     6.123233995736766e-17,
                                                     0.012698412698413,
                                                     6.123233995736766e-17,
                                                     -1.0,
                                                     6.123233995736766e-17,
                                                     0.012698412698413,
                                                     0.0,
                                                     0.0,
                                                     1.0,
                                                     0.012698412698413,
                                                     7.498798913309288e-33,
                                                     1.2246467991473532e-16,
                                                     -1.0,
                                                     0.012698412698413,
                                                     4.329780281177466e-17,
                                                     0.7071067811865475,
                                                     0.7071067811865476,
                                                     0.022574955908289,
                                                     4.329780281177467e-17,
                                                     0.7071067811865476,
                                                     -0.7071067811865475,
                                                     0.022574955908289,
                                                     4.329780281177466e-17,
                                                     -0.7071067811865475,
                                                     0.7071067811865476,
                                                     0.022574955908289,
                                                     4.329780281177467e-17,
                                                     -0.7071067811865476,
                                                     -0.7071067811865475,
                                                     0.022574955908289,
                                                     0.7071067811865475,
                                                     0.0,
                                                     0.7071067811865476,
                                                     0.022574955908289,
                                                     0.7071067811865476,
                                                     0.0,
                                                     -0.7071067811865475,
                                                     0.022574955908289,
                                                     -0.7071067811865475,
                                                     8.659560562354932e-17,
                                                     0.7071067811865476,
                                                     0.022574955908289,
                                                     -0.7071067811865476,
                                                     8.659560562354934e-17,
                                                     -0.7071067811865475,
                                                     0.022574955908289,
                                                     0.7071067811865476,
                                                     0.7071067811865475,
                                                     6.123233995736766e-17,
                                                     0.022574955908289,
                                                     0.7071067811865476,
                                                     -0.7071067811865475,
                                                     6.123233995736766e-17,
                                                     0.022574955908289,
                                                     -0.7071067811865475,
                                                     0.7071067811865476,
                                                     6.123233995736766e-17,
                                                     0.022574955908289,
                                                     -0.7071067811865475,
                                                     -0.7071067811865476,
                                                     6.123233995736766e-17,
                                                     0.022574955908289,
                                                     0.5773502691896258,
                                                     0.5773502691896257,
                                                     0.5773502691896257,
                                                     0.02109375,
                                                     0.5773502691896258,
                                                     0.5773502691896257,
                                                     -0.5773502691896257,
                                                     0.02109375,
                                                     0.5773502691896258,
                                                     -0.5773502691896257,
                                                     0.5773502691896257,
                                                     0.02109375,
                                                     0.5773502691896258,
                                                     -0.5773502691896257,
                                                     -0.5773502691896257,
                                                     0.02109375,
                                                     -0.5773502691896257,
                                                     0.5773502691896258,
                                                     0.5773502691896257,
                                                     0.02109375,
                                                     -0.5773502691896257,
                                                     0.5773502691896258,
                                                     -0.5773502691896257,
                                                     0.02109375,
                                                     -0.5773502691896257,
                                                     -0.5773502691896258,
                                                     0.5773502691896257,
                                                     0.02109375,
                                                     -0.5773502691896257,
                                                     -0.5773502691896258,
                                                     -0.5773502691896257,
                                                     0.02109375,
                                                     0.30151134457776363,
                                                     0.3015113445777636,
                                                     0.9045340337332909,
                                                     0.020173335537919,
                                                     0.3015113445777637,
                                                     0.30151134457776363,
                                                     -0.9045340337332909,
                                                     0.020173335537919,
                                                     0.30151134457776363,
                                                     -0.3015113445777636,
                                                     0.9045340337332909,
                                                     0.020173335537919,
                                                     0.3015113445777637,
                                                     -0.30151134457776363,
                                                     -0.9045340337332909,
                                                     0.020173335537919,
                                                     -0.3015113445777636,
                                                     0.30151134457776363,
                                                     0.9045340337332909,
                                                     0.020173335537919,
                                                     -0.30151134457776363,
                                                     0.3015113445777637,
                                                     -0.9045340337332909,
                                                     0.020173335537919,
                                                     -0.3015113445777636,
                                                     -0.30151134457776363,
                                                     0.9045340337332909,
                                                     0.020173335537919,
                                                     -0.30151134457776363,
                                                     -0.3015113445777637,
                                                     -0.9045340337332909,
                                                     0.020173335537919,
                                                     0.30151134457776363,
                                                     0.9045340337332909,
                                                     0.30151134457776363,
                                                     0.020173335537919,
                                                     0.30151134457776363,
                                                     -0.9045340337332909,
                                                     0.30151134457776363,
                                                     0.020173335537919,
                                                     0.30151134457776363,
                                                     0.9045340337332909,
                                                     -0.3015113445777635,
                                                     0.020173335537919,
                                                     0.30151134457776363,
                                                     -0.9045340337332909,
                                                     -0.3015113445777635,
                                                     0.020173335537919,
                                                     -0.3015113445777635,
                                                     0.904534033733291,
                                                     0.30151134457776363,
                                                     0.020173335537919,
                                                     -0.3015113445777635,
                                                     -0.904534033733291,
                                                     0.30151134457776363,
                                                     0.020173335537919,
                                                     -0.3015113445777635,
                                                     0.904534033733291,
                                                     -0.3015113445777635,
                                                     0.020173335537919,
                                                     -0.3015113445777635,
                                                     -0.904534033733291,
                                                     -0.3015113445777635,
                                                     0.020173335537919,
                                                     0.9045340337332909,
                                                     0.30151134457776374,
                                                     0.30151134457776363,
                                                     0.020173335537919,
                                                     -0.904534033733291,
                                                     0.3015113445777633,
                                                     0.30151134457776363,
                                                     0.020173335537919,
                                                     0.9045340337332909,
                                                     0.30151134457776374,
                                                     -0.3015113445777635,
                                                     0.020173335537919,
                                                     -0.904534033733291,
                                                     0.3015113445777633,
                                                     -0.3015113445777635,
                                                     0.020173335537919,
                                                     0.9045340337332909,
                                                     -0.30151134457776374,
                                                     0.30151134457776363,
                                                     0.020173335537919,
                                                     -0.904534033733291,
                                                     -0.3015113445777633,
                                                     0.30151134457776363,
                                                     0.020173335537919,
                                                     0.9045340337332909,
                                                     -0.30151134457776374,
                                                     -0.3015113445777635,
                                                     0.020173335537919,
                                                     -0.904534033733291,
                                                     -0.3015113445777633,
                                                     -0.3015113445777635,
                                                     0.020173335537919};
}
